TQScintilla: TQextScintillaLexerIDL Class Reference

- Main Page
- Classes
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# TQextScintillaLexerIDL Class Reference

The TQextScintillaLexerIDL class encapsulates the Scintilla IDL lexer. More...

`#include <tqextscintillalexeridl.h>`

Inherits TQextScintillaLexerCPP.

List of all members.

## Public Member Functions

- TQextScintillaLexerIDL (TQObject *parent=0, const char *name=0)
- virtual ~TQextScintillaLexerIDL ()
- const char * language () const
- TQColor color (int style) const
- const char * keywords (int set) const
- TQString description (int style) const

## Detailed Description

The TQextScintillaLexerIDL class encapsulates the Scintilla IDL lexer.

## Constructor & Destructor Documentation

TQextScintillaLexerIDL::TQextScintillaLexerIDL | ( | TQObject * | parent = `0`,
|  | const char * | name = `0` |
| ) |  |  |

Construct a TQextScintillaLexerIDL with parent parent and name name. parent is typically the TQextScintilla instance.

virtual TQextScintillaLexerIDL::~TQextScintillaLexerIDL | ( |  | ) | `[virtual]`

Destroys the TQextScintillaLexerIDL instance.

## Member Function Documentation

const char* TQextScintillaLexerIDL::language | ( |  | ) | const`[virtual]`

Returns the name of the language.

Reimplemented from TQextScintillaLexerCPP.

TQColor TQextScintillaLexerIDL::color | ( | int | style | ) | const`[virtual]`

Returns the foreground colour of the text for style number style.

See also:
  paper()

Reimplemented from TQextScintillaLexerCPP.

const char* TQextScintillaLexerIDL::keywords | ( | int | set | ) | const`[virtual]`

Returns the set of keywords for the keyword set set recognised by the lexer as a space separated string.

Reimplemented from TQextScintillaLexerCPP.

TQString TQextScintillaLexerIDL::description | ( | int | style | ) | const`[virtual]`

Returns the descriptive name for style number style. If the style is invalid for this language then TQString() is returned. This is intended to be used in user preference dialogs.

Reimplemented from TQextScintillaLexerCPP.